Groups
Create group
Creates a group.
POST
/
groups
Create group
curl --request POST \
--url https://api.vanta.com/v1/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"pointOfContactEmail": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.vanta.com/v1/groups"
payload = {
"name": "<string>",
"pointOfContactEmail": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', pointOfContactEmail: '<string>', description: '<string>'})
};
fetch('https://api.vanta.com/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5f2c939a52855e725c8d5824",
"name": "Default Group",
"creationDate": "2024-03-07T18:46:05.944Z",
"description": null,
"source": "Vanta",
"personnelCount": 0,
"pointOfContact": {
"displayName": "Jane Doe",
"email": "jane@example.com"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
201 - application/json
Group created
The group's unique ID.
The group's name.
The group's creation date.
The group's description.
The source that created the group. Manually created groups are set to "Vanta"; groups imported from an external source use that source's display name.
The number of personnel in the group.
The group's point of contact.
Show child attributes
Show child attributes
Related topics
Create Trust Center subscriber groupCreate Trust Center subscriberCreate Trust Center updateList groupsGet group by IDWas this page helpful?
⌘I
Create group
